std::scoped_allocator_adaptor::allocate(3)

NAME
std::scoped_allocator_adaptor::allocate - std::scoped_allocator_adaptor::allocate

Synopsis
   Defined in header <scoped_allocator>
   pointer allocate( size_type n ); (since C++11)
                        (until C++20)
   [[nodiscard]] pointer allocate( size_type n ); (since C++20)
   pointer allocate( size_type n, (1) (since C++11)
   const_void_pointer hint ); (2) (until C++20)
   [[nodiscard]] pointer allocate( size_type n, (since C++20)
   const_void_pointer hint );
   Uses the outer allocator to allocate uninitialized storage.
   1) Calls std::allocator_traits<OuterAlloc>::allocate(outer_allocator(), n)
   2) Additionally provides memory locality hint, by calling
   std::allocator_traits<OuterAlloc>::allocate(outer_allocator(), n, hint)

Parameters
   n - the number of objects to allocate storage for
   hint - pointer to a nearby memory location

Return value
   The pointer to the allocated storage

See also
   allocate allocates uninitialized storage
            (public member function of std::allocator<T>)
   allocate allocates uninitialized storage using the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)